Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.undo.edit
Class ReplaceInNodeDataEdit

    java.lang.Object
      info.bioinfweb.treegraph.document.undo.DocumentEdit
          info.bioinfweb.treegraph.document.undo.ComplexDocumentEdit
              info.bioinfweb.treegraph.document.undo.edit.ReplaceInNodeDataEdit

All Implemented Interfaces:
  UndoableEdit

    public class ReplaceInNodeDataEdit

extends ComplexDocumentEdit

Nested Class Summary
`static class` | `ReplaceInNodeDataEdit.InsertPosition`

Field Summary
`private NodeBranchDataAdapter` | `adapter`
`private String` | `newText`
`private ReplaceInNodeDataEdit.InsertPosition` | `position`
`private Pattern` | `searchPattern`

Fields inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`document`

Constructor Summary
`ReplaceInNodeDataEdit(Document document, NodeBranchDataAdapter adapter, ReplaceInNodeDataEdit.InsertPosition position, String oldText, String newText, boolean caseSensitive, boolean wordsOnly)`

Method Summary
`static Pattern` | `generatePattern(String text, boolean caseSensitive, boolean wordsOnly)`
`String` | `getPresentationName()`
`protected void` | `performRedo()`
`private void` | `replace(Node root)`

Methods inherited from class info.bioinfweb.treegraph.document.undo.ComplexDocumentEdit
`findEquivilant, findEquivilant, redo, undo`

Methods inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`addEdit, canRedo, canUndo, die, getIsSubedit, getRedoPresentationName, getUndoPresentationName, isSignificant, replaceEdit, setIsSubedit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### adapter

    private NodeBranchDataAdapter adapter

### position

    private ReplaceInNodeDataEdit.InsertPosition position

### searchPattern

    private Pattern searchPattern

### newText

    private String newText

Constructor Detail

### ReplaceInNodeDataEdit

    public ReplaceInNodeDataEdit(Document document,
                                 NodeBranchDataAdapter adapter,
                                 ReplaceInNodeDataEdit.InsertPosition position,
                                 String oldText,
                                 String newText,
                                 boolean caseSensitive,
                                 boolean wordsOnly)

Method Detail

### generatePattern

    public static Pattern generatePattern(String text,
                                          boolean caseSensitive,
                                          boolean wordsOnly)

### replace

    private void replace(Node root)

### performRedo

    protected void performRedo()

  Specified by:
    `performRedo` in class `ComplexDocumentEdit`

### getPresentationName

    public String getPresentationName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD